.f-row {
	&:extend(.d-flex);
	&:extend(.flex-wrap);
	&:extend(.align-items-stretch);
	&:extend(.justify-content-start);
	&:extend(.gxn);
}
.f-col {
	&:extend(.gx);
    -ms-flex-preferred-size: 0;
    flex-basis: 0;
    -ms-flex-positive: 1;
    flex-grow: 1;
    max-width: 100%;
	width: 100%;
}
.f-col-auto {
	&:extend(.gx);
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: auto;
    max-width: 100%;	
}